package de.intevation.gnv.artifacts.util;

import com.vividsolutions.jts.geom.Coordinate;
import com.vividsolutions.jts.geom.GeometryFactory;
import com.vividsolutions.jts.geom.Point;

import de.intevation.gnv.utils.DistanceCalculator;

import junit.framework.TestCase;

public class DistanceCalculatorTestCase extends TestCase {

    public DistanceCalculatorTestCase(String name) {
        super(name);
    }

    public void testDistanceCalculator(){

        GeometryFactory gf = new GeometryFactory();

        // Distance between Berlin and Tokio
        Point p1 = gf.createPoint(new Coordinate(13.4000, 52.5167));
        Point p2 = gf.createPoint(new Coordinate(139.7667, 35.7000));

        double s = new DistanceCalculator().calculateDistance(p1, p2);

        assertEquals(8941.201227763724, s);
    }

}
